Bug 90695 - logrotate exit value is not logged to syslog. Patch proposed
logrotate exit value is not logged to syslog. Patch proposed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
8.0
All Linux
low Severity low
: ---
: ---
Assigned To: Elliot Lee
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-12 12:23 EDT by Hans Lambermont
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.6.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 11:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Lambermont 2003-05-12 12:23:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.1) Gecko/20030509

Description of problem:
proposed logrotate.cron patch:

--- logrotate.cron      Mon May 12 18:16:04 2003
+++ lc2 Mon May 12 18:20:12 2003
@@ -1,3 +1,8 @@
 #!/bin/sh

 /usr/sbin/logrotate /etc/logrotate.conf
+EXITVALUE=$?
+if [ $EXITVALUE -ne 0 ]; then
+    /usr/bin/logger -t logrotate ALERT exited abnormally with [$EXITVALUE]
+fi
+

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. not applicable
2.
3.
    

Additional info:
Comment 1 Elliot Lee 2003-07-09 11:52:25 EDT
Applied

Note You need to log in before you can comment on or make changes to this bug.